<?php

	$value = "";
	if (ISSET($_GET["ko"], $_GET["l"], $_GET["gc"]) && $_GET["ko"] == "1")
	{
		$value = sprintf("Knockout criteria errors! <br> GC content is %d%%, while the total sequence length is %d.", $_GET["gc"], $_GET["l"]);
	}
	else if (ISSET($_GET["val"], $_GET["e"], $_GET["gc"], $_GET["v"], $_GET["gcs"]) && $_GET["val"] == "1")
	{
		$value = sprintf("Validation errors! <br> GC content = %d%%. Variance = %d. GC skew = %f. Entropy = %f", $_GET["gc"], $_GET["v"], $_GET["gcs"], $_GET["e"]);
	}
	else
	{
		header('Location: index.html');
	}
?>


<!DOCTYPE html>
<html lang="en">
<head>
  <meta charset="UTF-8">
  <meta name="viewport" content="width=device-width, initial-scale=1.0">
  <title>ForiC - Fast oriC predictor</title>
  <link href="https://cdn.jsdelivr.net/npm/bootstrap@5.3.0/dist/css/bootstrap.min.css" rel="stylesheet">
  <link href="https://cdn.jsdelivr.net/npm/bootstrap-icons/font/bootstrap-icons.css" rel="stylesheet">
  <style>
    .nav-link.active {
      background-color: #0d6efd !important;
      color: #fff !important;
      border-radius: 5px;
    }

    .btn-circle {
      border-radius: 50%;
      width: 24px;
      height: 24px;
      padding: 0;
      display: inline-flex;
      align-items: center;
      justify-content: center;
      font-size: 14px;
      line-height: 1;
      background-color: #0d6efd !important;
      color: white !important;
    }

    .divider {
      height: 2px;
      background-color: #ddd;
      margin: 20px 0;
    }

    .form-group {
      display: flex;
      align-items: center;
      justify-content: space-between;
      margin-bottom: 15px;
    }

    .form-group label {
      margin-right: 10px;
      flex: 1;
      text-align: right;
    }

    .form-group input, .form-group select {
      flex: 2;
    }

    .parameter-section {
      border-top: 2px solid #ddd;
      margin-top: 20px;
      padding-top: 20px;
    }
  </style>
  <link rel="icon" type="image/x-icon" href="img/favicon-16x16.png?v=2">
</head>
<body>
  <!-- Header -->
  <nav class="navbar navbar-expand-lg navbar-light bg-light">
    <div class="container">
      <a class="navbar-brand" href="#">ForiC</a>
      <button class="navbar-toggler" type="button" data-bs-toggle="collapse" data-bs-target="#navbarNav" aria-controls="navbarNav" aria-expanded="false" aria-label="Toggle navigation">
        <span class="navbar-toggler-icon"></span>
      </button>
      <div class="collapse navbar-collapse" id="navbarNav">
        <ul class="navbar-nav ms-auto">
          <li class="nav-item">
            <a class="nav-link active" href="#">Home</a>
          </li>
          <li class="nav-item">
            <a class="nav-link" href="#">Sample Data</a>
          </li>
          <li class="nav-item">
            <a class="nav-link" href="#">Sample Output</a>
          </li>
          <li class="nav-item">
            <a class="nav-link" href="#">About</a>
          </li>
        </ul>
      </div>
    </div>
  </nav>

  <!-- Title Section -->



  <div class="container text-center my-5">
    <h1 class="display-4">Validation error</h1>
    <p class="lead"><?php echo $value;?></p>
  </div>


  <!-- Footer -->
  <footer class="text-center py-3 bg-light">
    <small>&copy; 2024 ForiC. All rights reserved.</small>
  </footer>

  <script src="https://cdn.jsdelivr.net/npm/bootstrap@5.3.0/dist/js/bootstrap.bundle.min.js"></script>
  <script>
    document.addEventListener('DOMContentLoaded', function () {
      // Initialize popovers
      const popoverTriggerList = [].slice.call(document.querySelectorAll('[data-bs-toggle="popover"]'));
      const popoverList = popoverTriggerList.map(function (popoverTriggerEl) {
        return new bootstrap.Popover(popoverTriggerEl);
      });

      // Close popovers on outside click
      document.addEventListener('click', function (event) {
        popoverList.forEach(function (popover) {
          if (!popover._element.contains(event.target)) {
            popover.hide();
          }
        });
      });

      // Form validation
      const form = document.getElementById('foricForm');
      form.addEventListener('submit', function (event) {
        if (!form.checkValidity()) {
          event.preventDefault();
          event.stopPropagation();
        }
        form.classList.add('was-validated');
      });
    });
  </script>
</body>
</html>
